#include <bits/stdc++.h>
using namespace std;
int main()
{
	ifstream f1("BAI3_17.INP");
	ofstream f2("BAI3_17.OUT");
	long long n,j,a[100000],i,max,min;
	f1>>n;
	for(i=0;i<n;i++)
	{
		f1>>a[i];
	}
	max=a[0];
	min=a[0];
	for(i=1;i<n;i++)
	{
		if(a[i]>=max)max=a[i];
		if(a[i]<=min)min=a[i];
	}
	f2<<max+min;
}
